﻿using Com.Asreader.Ascameraxsdk;
using Com.Asreader.Aslicensesdk;

namespace AsCameraXMAUIDemo
{
    public class AsCameraXCallback
    {
        public delegate void ReceivedCertifiedTypeCallback(AsLicense p0, AsLicenseCertifiedType p1);
        public ReceivedCertifiedTypeCallback ReceivedCertifiedType;

        public delegate void ReceivedDecodeImageCallback(AsCameraXResult p0);
        public ReceivedDecodeImageCallback ReceivedDecodeImage;

        public delegate void ReceivedMultipleDecodeImageCallback(IList<AsCameraXResult> p0);
        public ReceivedMultipleDecodeImageCallback ReceivedMultipleDecodeImage;

        public delegate void ReceivedDidBecomeActiveCallback(bool status);
        public ReceivedDidBecomeActiveCallback ReceivedDidBecomeActive;

        static AsCameraXCallback uniqueInstance;

        static readonly object locker = new object();

        public static AsCameraXCallback sharedInstance()
        {
            if (uniqueInstance == null)
            {
                lock (locker)
                {
                    if (uniqueInstance == null)
                    {
                        uniqueInstance = new AsCameraXCallback();
                    }
                }
            }
            return uniqueInstance;
        }
        public AsCameraXCallback()
        {
            
        } 
    }
}

